CustomerQuoteRequest (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.messages.CustomerQuoteRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.messages
Class CustomerQuoteRequest

    java.lang.Object
      org.mule.example.loanbroker.messages.CustomerQuoteRequest

All Implemented Interfaces:
  Serializable

    public class CustomerQuoteRequest

extends Object
implements Serializable

`CustomerQuoteRequest` is the request sent by the the LoanBroker

See Also:
  Serialized Form

Constructor Summary
`CustomerQuoteRequest()`
`CustomerQuoteRequest(Customer customer, double loanAmount, int loanDuration)`

Method Summary
`Customer` | `getCustomer()`
`double` | `getLoanAmount()`
`int` | `getLoanDuration()`
`void` | `setCustomer(Customer customer)`
`void` | `setLoanAmount(double loanAmount)`
`void` | `setLoanDuration(int loanDuration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomerQuoteRequest

    public CustomerQuoteRequest()

### CustomerQuoteRequest

    public CustomerQuoteRequest(Customer customer,
                                double loanAmount,
                                int loanDuration)

Method Detail

### getCustomer

    public Customer getCustomer()

### setCustomer

    public void setCustomer(Customer customer)

### getLoanAmount

    public double getLoanAmount()

### setLoanAmount

    public void setLoanAmount(double loanAmount)

### getLoanDuration

    public int getLoanDuration()

### setLoanDuration

    public void setLoanDuration(int loanDuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.